# Copyright 2015 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.


#
# This file contains helper definitions for using this library.
#
# /common/make/common.mk and /common/make/js_building_common.mk must be included
# before including this file.
#


JS_COMMON_DIR_PATH := $(COMMON_DIR_PATH)/js

JS_COMMON_SOURCES_PATH := $(JS_COMMON_DIR_PATH)/src


JS_COMMON_JS_COMPILER_INPUT_DIR_PATHS := $(JS_COMMON_SOURCES_PATH)


define JS_COMMON_BACKGROUND_PAGE_UNLOAD_PREVENTING_IFRAME_RULE

$(eval $(call BUILD_JS_SCRIPT,background-page-unload-preventing-iframe.js,$(JS_COMMON_JS_COMPILER_INPUT_DIR_PATHS),GoogleSmartCard.BackgroundPageUnloadPreventing.IFrameMain))

$(eval $(call COPY_TO_OUT_DIR_RULE,$(JS_COMMON_SOURCES_PATH)/background-page-unload-preventing/background-page-unload-preventing-iframe.html))

endef
