# Copyright 2015 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.


#
# This file contains helper definitions for using this library.
#
# /common/make/common.mk and /common/make/nacl_module_building_common.mk must be
# included before including this file.
#


CPP_COMMON_LIB := google_smart_card_common


CPP_COMMON_DIR_PATH := $(COMMON_DIR_PATH)/cpp


COMMON_SYSLOG_INCLUDE_PATH := \
	$(NACL_LIBRARY_HEADERS_INSTALLATION_DIR_PATH)/google_smart_card_common/logging/syslog



#
# Helper target that installs the library headers.
#
# This target can be used in dependant libraries.
#

$(eval $(call DEFINE_NACL_LIBRARY_HEADERS_INSTALLATION_TARGET,CPP_COMMON_HEADERS_INSTALLATION_STAMP_FILE,$(CPP_COMMON_DIR_PATH)/build))
